Customers

A Customer represents a guest at a Trybe site.

A Customer is created when a guest creates an account on a Trybe shopfront, places a booking, or is created manually in the Trybe app.

Schema

Attributes

  • The ID of the customer.

  • first_name
    Nullable

    The first name of the customer.

  • last_name
    Nullable

    The last name of the customer.

  • full_name
    Nullable

    The customer's full name

  • phone
    Nullable

    The customer's phone number in E.164 format, or null if not provided.

  • Whether the user has a password

  • dob
    Nullable

    The customer's date of birth in YYYY-MM-DD format, or null if not provided.

  • The ID of the brand this customer belongs to

  • The ID of the site this customer belongs to

  • stripe_id
    Nullable

    The Stripe Customer ID for this customer

  • The Stripe Customer ID for this customer if they also exist in Trybe's legacy Stripe integration

  • email
    Nullable

    The email address of the customer.

    The case of the email address is not preserved, so you'll always see this in lowercase.

  • An array of labels associated with this customer

  • The preferred locale of the customer.

    This must be one of the platform's supported locales, which can be retrieved using the listMetaSupportedLocales endpoint.

  • locked_at
    Nullable

    The datetime which the customer was locked, or null if it has not been locked.

  • The datetime which the customer was created

  • The datetime which the customer was last updated

  • deleted_at
    Nullable

    The datetime which the customer was anonymised, or null if it has not been.

  • The datetime which the customer was last active

  • The datetime which the customer verified their email address

  • A summary of the last check-in event associated with this customer, or null if they have never checked-in.

  • avatar_id
    Nullable

    The media ID of the customer's avatar, or null if one hasn't been provided.

  • avatar
    Nullable

    The media object of the customer's avatar, or null if one hasn't been provided.

  • external_ref
    Nullable

    An external reference for this customer.

""
actionCustomerSearch

Search for customers

Use this endpoint to search for customers.

Query parameters

  • site_id
    Required

    Filter results by the site they belong to

  • query
    Optional

    A general search query to match against customer fields.

  • source
    Optional

    Choose which sources to include in the search.

  • first_name
    Optional

    Filter by first name.

  • last_name
    Optional

    Filter by last name.

  • email
    Optional

    Filter by email address.

Responses

  • 200

    Customer search results

  • 422

    The search query was invalid

GET/shop/customers/search
200
example response
{
  "data": [],
  "meta": {
    "sources": [
      {
        "key": "trybe",
        "name": "Trybe",
        "status": "success",
        "message": "Trybe did not respond in time."
      },
      {
        "key": "trybe",
        "name": "Trybe",
        "status": "success",
        "message": "Trybe did not respond in time."
      },
      {
        "key": "trybe",
        "name": "Trybe",
        "status": "success",
        "message": "Trybe did not respond in time."
      }
    ]
  }
}
422
example response
{
  "errors": {
    "est_b2": [
      "qui aliquip laboris"
    ],
    "sed_d": [
      "sint ipsum nulla laboris",
      "proident eiusmod cupidatat incididunt in",
      "pariatur ex",
      "quis anim nostrud aliquip aute",
      "sit deserunt cillum elit"
    ]
  },
  "message": "The request didn't pass validation"
}
getCustomerStats

Get stats for a single customer across the whole organisation

Use this endpoint to retrieve high-level stats for a single customer.

Path parameters

  • customerId
    Required

    The ID of the customer being accessed.

Responses

  • 200

    Customer stats were found

  • 404

    The customer could not be found

GET/shop/customers/{customerId}/stats
200
example response
{
  "data": {
    "totals": {
      "total_order_value": 38500,
      "average_order_value": 19250,
      "num_orders": 2
    },
    "recent_orders": [
      {
        "id": "69e534dc97e3d001430000dc",
        "order_ref": "ea occaecat",
        "status": "settled",
        "customer": {
          "id": "9db77973-8b89-0933-fd59-5e335c340865",
          "email": "jane@example.com",
          "first_name": "Jane",
          "last_name": "Jones"
        },
        "sales_channel": {
          "id": "69e534dc97e3d001430000dd",
          "name": "Website"
        },
        "totals": {},
        "submitted_at": "1916-02-11T22:31:02.0Z",
        "site": {
          "id": "d917d6e0-134b-af26-2d6e-a45bf0862a3d",
          "name": "Palm Tree Spa"
        }
      }
    ]
  },
  "meta": {
    "currency": "gbp"
  }
}
404
example response
{
  "message": "The requested resource could not be found"
}
listCustomers

List Customers

This endpoint lists the Customers which are associated to the provided site.

Query parameters

  • Filters customers with a similar name, email or phone number to the given value

  • Filter customers with the given email address

  • Filter customers that belong to the given organisation ID

  • Filter customers that belong to the given brand ID

  • Filter customers that belong to the given site ID

  • Filter customers that have a membership with the given membership number

  • Filter customers with a similar name to the given value

  • Filter customers with the given phone number

  • Filter customers that have at least one membership of the given state. Set to "none" to filter customers that do not have any memberships, "any" to filter customers that have any memberships, and "needs_dd_mandate" for memberships awaiting a Direct Debit mandate or payment method.

  • Filters customers which have at least one membership that was created on or after the given date

  • Filters customers which have at least one membership that was created on or before the given date

  • Filters customers which have at least one membership of the given membership type ID

  • Filters customers which have at least one membership of the given membership rate ID

  • Filters customers who are opted into the given marketing preference ID. Alternatively, pass "any" to filter customers opted into any marketing preference, or "none" to filter customers not opted into any preferences.

  • Filters customers which have the given CustomerLabel ids.

  • Filters to just the customers with the given IDs.

  • page
    Optional

    The page to retrieve results from

  • per_page
    Optional

    The number of results to return per page

Responses

  • 200

    The Customers were successfully retrieved

GET/customers/customers
200
example response
{
  "data": [
    {
      "id": "db56040d-f1a2-1058-d7e9-029c932a21fd",
      "first_name": "Jane",
      "last_name": "Doe",
      "full_name": "Jane Doe",
      "phone": "+447900000000",
      "has_password": true,
      "dob": "1950-10-30",
      "brand_id": "b54cc5e4-d595-962e-f467-d365762f4f77",
      "site_id": "a78dcc54-2dd7-9b2f-fd91-b5d3fa61831b",
      "stripe_id": "cus_1234567890",
      "express_stripe_id": "cus_1234567890",
      "email": "janedoe@example.com",
      "labels": [],
      "preferred_locale": "en",
      "locked_at": "1911-05-25T10:11:40.0Z",
      "created_at": "1892-03-06T15:23:09.0Z",
      "updated_at": "1949-10-31T13:07:37.0Z",
      "deleted_at": "1951-12-08T06:28:32.0Z",
      "last_active_at": "1905-06-13T11:40:56.0Z",
      "email_verified_at": "1948-04-15T21:55:04.0Z",
      "last_check_in": {
        "checked_in_at": "1902-09-28T09:45:01.0Z",
        "method": "Scanned"
      },
      "avatar_id": "000000-000000-000000-000000",
      "avatar": {
        "id": "a6355015-ce85-88ca-9eab-5d03991d108d",
        "file_name": "super-cool-photo.jpg",
        "mime_type": "image/jpeg",
        "original_url": "https://example.com/media/super-cool-photo.jpg",
        "size": 84256,
        "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
      },
      "external_ref": "Excepteur"
    },
    {
      "id": "0fc8a6d6-9161-4003-75b8-d61b91a3d6de",
      "first_name": "Jane",
      "last_name": "Doe",
      "full_name": "Jane Doe",
      "phone": "+447900000000",
      "has_password": true,
      "dob": "1947-03-13",
      "brand_id": "4cdae81e-c00f-63c5-994e-9fa5910c086a",
      "site_id": "31a22d54-d444-0f18-fda4-cc8531d8d470",
      "stripe_id": "cus_1234567890",
      "express_stripe_id": "cus_1234567890",
      "email": "janedoe@example.com",
      "labels": [
        {
          "id": "7a60297f-19b2-da37-6ab0-0283b85e3d6a",
          "value": "VIP",
          "colour": "ff6634"
        }
      ],
      "preferred_locale": "en",
      "locked_at": "1891-06-13T01:30:31.0Z",
      "created_at": "1941-12-27T01:06:20.0Z",
      "updated_at": "1920-01-05T21:23:55.0Z",
      "deleted_at": "1925-01-26T06:15:21.0Z",
      "last_active_at": "1967-11-21T10:22:34.0Z",
      "email_verified_at": "1928-11-06T01:07:37.0Z",
      "last_check_in": {
        "checked_in_at": "1901-01-10T02:48:07.0Z",
        "method": "Scanned"
      },
      "avatar_id": "000000-000000-000000-000000",
      "avatar": {
        "id": "977cfaf7-f605-6456-bdf1-d59467285bc0",
        "file_name": "super-cool-photo.jpg",
        "mime_type": "image/jpeg",
        "original_url": "https://example.com/media/super-cool-photo.jpg",
        "size": 84256,
        "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
      },
      "external_ref": "ut nostrud Lorem in"
    },
    {
      "id": "9e382821-035f-a6b0-aac5-ed9a53fc7ddb",
      "first_name": "Jane",
      "last_name": "Doe",
      "full_name": "Jane Doe",
      "phone": "+447900000000",
      "has_password": true,
      "dob": "1902-02-11",
      "brand_id": "9194c027-c981-2b26-18b9-693ecb606575",
      "site_id": "2d9447c5-7abb-09d3-cb09-c7ca3009341e",
      "stripe_id": "cus_1234567890",
      "express_stripe_id": "cus_1234567890",
      "email": "janedoe@example.com",
      "labels": [
        {
          "id": "083a6646-f183-7235-6fc3-3c8916f82626",
          "value": "VIP",
          "colour": "ff6634"
        },
        {
          "id": "e5c841ca-57c1-6148-3d93-7478313aad3f",
          "value": "VIP",
          "colour": "ff6634"
        },
        {
          "id": "d75e219f-1a9b-b20a-4c24-fa7890df3de5",
          "value": "VIP",
          "colour": "ff6634"
        },
        {
          "id": "18826e4b-d033-53e8-e719-a553c1d794d1",
          "value": "VIP",
          "colour": "ff6634"
        }
      ],
      "preferred_locale": "en",
      "locked_at": "1955-03-13T08:25:53.0Z",
      "created_at": "1946-11-12T18:19:58.0Z",
      "updated_at": "1959-12-28T05:54:11.0Z",
      "deleted_at": "1907-02-22T22:32:01.0Z",
      "last_active_at": "1927-07-17T08:29:07.0Z",
      "email_verified_at": "1960-02-23T04:34:37.0Z",
      "last_check_in": {
        "checked_in_at": "1895-08-04T23:04:43.0Z",
        "method": "Scanned"
      },
      "avatar_id": "000000-000000-000000-000000",
      "avatar": {
        "id": "b6d51c3c-43e1-1928-c0f1-ea589bf30c8f",
        "file_name": "super-cool-photo.jpg",
        "mime_type": "image/jpeg",
        "original_url": "https://example.com/media/super-cool-photo.jpg",
        "size": 84256,
        "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
      },
      "external_ref": "non nulla sint"
    }
  ],
  "meta": {
    "from": 1,
    "to": 2,
    "total": 2,
    "current_page": 1,
    "last_page": 2,
    "per_page": 15,
    "path": "http://example.com/api"
  },
  "links": {
    "first": "http://example.com?page=1",
    "next": "https://example.com?page=3",
    "prev": "https://example.com?page=1",
    "last": "https://example.com?page=4"
  }
}
createCustomer

Create a Customer

Use this endpoint to create a new Customer.

When creating a new Customer, you must specify at least one of the following fields along with any other fields marked as required:

  • email
  • first_name
  • last_name

Request body

  • site_id
    Required

    The ID of the site this customer belongs to

  • first_name
    Nullable

    The first name of the customer.

  • last_name
    Nullable

    The last name of the customer.

  • phone
    Nullable

    The customer's phone number in E.164 format, or null if not provided.

  • dob
    Nullable

    The customer's date of birth in YYYY-MM-DD format, or null if not provided.

  • email
    Nullable

    The email address of the customer.

    The case of the email address is not preserved, so you'll always see this in lowercase.

  • The customer's password. This must be at least 8 characters long

  • An array of marketing preference IDs to opt the customer in to

  • external_ref
    Nullable

    An external reference for this customer.

  • The guestline reference for this customer.

  • The preferred locale of the customer.

    This must be one of the platform's supported locales, which can be retrieved using the listMetaSupportedLocales endpoint.

Responses

  • 201

    The Customer was successfully retrieved

POST/customers/customers
201
example response
{
  "data": {
    "id": "e9069453-edc0-fc4d-53cc-69ce4809008c",
    "first_name": "Jane",
    "last_name": "Doe",
    "full_name": "Jane Doe",
    "phone": "+447900000000",
    "has_password": true,
    "dob": "1904-01-30",
    "brand_id": "040312d8-3ce8-f56d-1807-882b43ba03df",
    "site_id": "13bf9ac3-65a4-185d-7e99-019c9fee1038",
    "stripe_id": "cus_1234567890",
    "express_stripe_id": "cus_1234567890",
    "email": "janedoe@example.com",
    "labels": [
      {
        "id": "c41e8c3e-3fc4-fffb-00e6-13d371835914",
        "value": "VIP",
        "colour": "ff6634"
      }
    ],
    "preferred_locale": "en",
    "locked_at": "1906-11-28T09:11:03.0Z",
    "created_at": "1932-12-11T02:51:30.0Z",
    "updated_at": "1927-04-19T17:24:28.0Z",
    "deleted_at": "1916-05-20T09:55:48.0Z",
    "last_active_at": "1922-09-25T08:14:17.0Z",
    "email_verified_at": "1909-06-27T18:17:56.0Z",
    "last_check_in": {
      "checked_in_at": "1961-10-27T19:19:04.0Z",
      "method": "Scanned"
    },
    "avatar_id": "000000-000000-000000-000000",
    "avatar": {
      "id": "731e3251-38fc-13a8-2c58-edce71fa242a",
      "file_name": "super-cool-photo.jpg",
      "mime_type": "image/jpeg",
      "original_url": "https://example.com/media/super-cool-photo.jpg",
      "size": 84256,
      "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
    },
    "external_ref": "ipsum esse do ad"
  }
}
getCustomer

Show a Customer

Use this endpoint to retrieve a Customer by their ID.

Path parameters

Responses

  • 200

    The Customer was successfully retrieved

  • 404

    The resource couldn't be found

GET/customers/customers/{customerId}
200
example response
{
  "data": {
    "id": "56ebe7ee-2619-670c-ac62-08e13654580d",
    "first_name": "Jane",
    "last_name": "Doe",
    "full_name": "Jane Doe",
    "phone": "+447900000000",
    "has_password": true,
    "dob": "1915-09-13",
    "brand_id": "e753b90c-2820-95c8-7fb8-c0b444ced3cb",
    "site_id": "c2915e1e-671c-67a4-a47d-0b3ae7897e85",
    "stripe_id": "cus_1234567890",
    "express_stripe_id": "cus_1234567890",
    "email": "janedoe@example.com",
    "labels": [
      {
        "id": "3969e2ff-782a-a9e3-e98b-9af9217ec0a9",
        "value": "VIP",
        "colour": "ff6634"
      }
    ],
    "preferred_locale": "en",
    "locked_at": "1954-12-13T10:38:51.0Z",
    "created_at": "1900-02-12T17:30:09.0Z",
    "updated_at": "1924-05-23T21:21:56.0Z",
    "deleted_at": "1969-02-19T12:39:23.0Z",
    "last_active_at": "1900-12-02T19:43:02.0Z",
    "email_verified_at": "1963-09-22T16:37:34.0Z",
    "last_check_in": {
      "checked_in_at": "1924-06-10T01:16:02.0Z",
      "method": "Scanned"
    },
    "avatar_id": "000000-000000-000000-000000",
    "avatar": {
      "id": "d473dec0-b17f-629e-b255-12ca3965cb07",
      "file_name": "super-cool-photo.jpg",
      "mime_type": "image/jpeg",
      "original_url": "https://example.com/media/super-cool-photo.jpg",
      "size": 84256,
      "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
    },
    "external_ref": "deserunt in aute culpa"
  }
}
404
example response
{
  "message": "The requested resource could not be found"
}
updateCustomer

Update a Customer

Use this endpoint to update an existing Customer.

Path parameters

Request body

  • first_name
    Nullable

    The first name of the customer.

  • last_name
    Nullable

    The last name of the customer.

  • phone
    Nullable

    The customer's phone number in E.164 format, or null if not provided.

  • dob
    Nullable

    The customer's date of birth in YYYY-MM-DD format, or null if not provided.

  • The customer's password. This must be at least 8 characters long

  • external_ref
    Nullable

    An external reference for this customer.

  • The preferred locale of the customer.

    This must be one of the platform's supported locales, which can be retrieved using the listMetaSupportedLocales endpoint.

Responses

  • 201

    The Customer was successfully retrieved

  • 404

    The resource couldn't be found

PUT/customers/customers/{customerId}
201
example response
{
  "data": {
    "id": "49d46cdb-36a7-d085-bf2e-e56f0800be57",
    "first_name": "Jane",
    "last_name": "Doe",
    "full_name": "Jane Doe",
    "phone": "+447900000000",
    "has_password": true,
    "dob": "1937-11-14",
    "brand_id": "24a3d116-9afa-e6fb-2c85-a74e555071b5",
    "site_id": "92b45c44-cbca-b13c-1bb7-cf25bd750f4c",
    "stripe_id": "cus_1234567890",
    "express_stripe_id": "cus_1234567890",
    "email": "janedoe@example.com",
    "labels": [],
    "preferred_locale": "en",
    "locked_at": "1926-12-26T19:12:48.0Z",
    "created_at": "1965-11-01T04:21:07.0Z",
    "updated_at": "1940-09-12T23:15:13.0Z",
    "deleted_at": "1930-03-14T14:11:22.0Z",
    "last_active_at": "1948-12-26T17:58:12.0Z",
    "email_verified_at": "1969-10-07T22:14:23.0Z",
    "last_check_in": {
      "checked_in_at": "1892-11-23T21:43:47.0Z",
      "method": "Scanned"
    },
    "avatar_id": "000000-000000-000000-000000",
    "avatar": {
      "id": "366d9426-035e-08b2-02b1-3f01477ca6ff",
      "file_name": "super-cool-photo.jpg",
      "mime_type": "image/jpeg",
      "original_url": "https://example.com/media/super-cool-photo.jpg",
      "size": 84256,
      "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
    },
    "external_ref": "dolor dolor non sunt"
  }
}
404
example response
{
  "message": "The requested resource could not be found"
}
listAssociatedBarcodes

List Associated Barcodes for a Customer

This endpoint retrieves all barcodes associated with a customer.

Path parameters

Responses

  • 200

    The barcodes associated with the customer were successfully retrieved

GET/shop/customers/{customerId}/barcodes
200
example response
{
  "data": [
    {
      "id": "6ced00f8-fe64-93c9-07e7-aed58a88b941",
      "customer_id": "6f01ce30-6711-ca77-df7c-47fe2248b750",
      "customer": {
        "id": "25e00f50-2259-055d-224d-c388657b1f5f",
        "first_name": "Jane",
        "last_name": "Doe",
        "full_name": "Jane Doe",
        "phone": "+447900000000",
        "has_password": true,
        "dob": "1931-05-02",
        "brand_id": "7fb4018f-dd12-3cf4-d86a-ea675da30933",
        "site_id": "ed7f008d-7c71-e55f-2902-48b21de13fed",
        "stripe_id": "cus_1234567890",
        "express_stripe_id": "cus_1234567890",
        "email": "janedoe@example.com",
        "labels": [
          {
            "id": "dfb8e13d-d4ea-7b3d-64e8-98e972f11b88",
            "value": "VIP",
            "colour": "ff6634"
          },
          {
            "id": "363e5d90-135a-7940-e99b-3309757ee39f",
            "value": "VIP",
            "colour": "ff6634"
          },
          {
            "id": "aa5611d1-f87b-6ca2-90d2-b3bc440bcb07",
            "value": "VIP",
            "colour": "ff6634"
          },
          {
            "id": "f247ef96-c6de-778f-6439-e2359780d502",
            "value": "VIP",
            "colour": "ff6634"
          },
          {
            "id": "86f30cd7-bbeb-4118-8236-f59778f659c3",
            "value": "VIP",
            "colour": "ff6634"
          }
        ],
        "preferred_locale": "en",
        "locked_at": "1909-03-18T10:42:59.0Z",
        "created_at": "1952-12-28T05:48:51.0Z",
        "updated_at": "1913-08-25T09:58:07.0Z",
        "deleted_at": "1954-10-03T21:32:29.0Z",
        "last_active_at": "1949-07-14T06:44:38.0Z",
        "email_verified_at": "1953-06-18T13:42:28.0Z",
        "last_check_in": {
          "checked_in_at": "1908-01-15T22:53:39.0Z",
          "method": "Scanned"
        },
        "avatar_id": "000000-000000-000000-000000",
        "avatar": {
          "id": "f5a75efc-41c0-3859-e9a5-ba82be8af232",
          "file_name": "super-cool-photo.jpg",
          "mime_type": "image/jpeg",
          "original_url": "https://example.com/media/super-cool-photo.jpg",
          "size": 84256,
          "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
        },
        "external_ref": "quis labore irure dolor ex"
      },
      "barcode": "sit ad nostrud ea",
      "expires_at": "1893-08-14T16:49:16.0Z",
      "brand_id": "2b079702-435b-46e5-6fec-bd614267461a",
      "site_id": "b0d612fd-54af-3fb0-33a6-7b262a6316e6",
      "organisation_id": "c604ea43-9c98-bd62-9f41-e518c9433ccd",
      "source": "kiosk",
      "order": {
        "id": "69e534dc97e3d001430000de",
        "applied_promo_code": {
          "id": "69e534dc97e3d001430000df",
          "applied_at": "2023-11-15T12:01:01.0Z",
          "applied_by": {
            "id": "69e534dc97e3d001430000e0",
            "avatar": {
              "id": "7da5aafa-75da-f8ca-226e-e017b761ddf0",
              "file_name": "super-cool-photo.jpg",
              "mime_type": "image/jpeg",
              "original_url": "https://example.com/media/super-cool-photo.jpg",
              "size": 84256,
              "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
            },
            "email": "KU8udsoz@TpeSEStLGVlXouft.gr",
            "first_name": "Jane",
            "full_name": "Jane Smith",
            "last_name": "Smith"
          },
          "code": "FIVEOFF",
          "discount_total": 2000,
          "is_discount_applied": true,
          "percentage": 10
        },
        "applied_promo_code_discount_total": -47265371,
        "applied_promo_code_id": "69e534dc97e3d001430000e1",
        "booking_items": [
          {
            "id": "69e534dc97e3d001430000e2",
            "added_by_customer": false,
            "base_price": 15562608,
            "booking_reserved_until": "1941-12-01T18:57:47.0Z",
            "booking_summary": {
              "id": "69e534dc97e3d001430000e3",
              "area_ids": [
                "69e534dc97e3d001430000e4",
                "69e534dc97e3d001430000e5",
                "69e534dc97e3d001430000e6"
              ],
              "areas": [
                {
                  "id": "69e534dc97e3d001430000e7",
                  "name": "Hot Tub 1"
                },
                {
                  "id": "69e534dc97e3d001430000e8",
                  "name": "Hot Tub 1"
                }
              ],
              "duration": -58399753,
              "end_time": "1953-01-21T13:59:02.0Z",
              "offering": {
                "id": "69e534dc97e3d001430000e9",
                "name": "30 Minute Massage",
                "type": "appointment",
                "product_code": "velit"
              },
              "start_time": "1958-08-27T15:17:13.0Z",
              "status": "waitlisted",
              "created_at": "2025-02-04T12:01:01.0Z",
              "updated_at": "2025-02-04T12:01:01.0Z"
            },
            "date": "1936-07-14",
            "discount_amount": 34832546,
            "discounts": [],
            "exclusive_tax_amount": 93586716,
            "guest": {
              "id": "69e534dc97e3d001430000ea",
              "checked_in_at": "1933-07-13T05:58:25.0Z",
              "checked_out_at": "1903-03-05T13:33:22.0Z",
              "customer_id": "c60723a4-ef4a-b172-27f6-835ed1a3519f",
              "email": "VKeD@AHOuyIcUNaygZm.nggx",
              "first_name": "Jane",
              "intake_form_submission_id": "69e534dc97e3d001430000eb",
              "intake_form_complete": false,
              "is_lead_booker": true,
              "last_name": "Doe",
              "name": "Jane Doe"
            },
            "guests": [
              {
                "id": "69e534dc97e3d001430000ec",
                "checked_in_at": "1945-11-27T06:07:34.0Z",
                "checked_out_at": "1961-08-29T21:48:37.0Z",
                "customer_id": "91ad8c76-a84e-e3f3-4b51-6456e2281d89",
                "email": "lM7cl4mptwHEXV@YAjtiRhqhFDNEMEFtHFx.cse",
                "first_name": "Jane",
                "intake_form_submission_id": "69e534dc97e3d001430000ed",
                "intake_form_complete": true,
                "is_lead_booker": true,
                "last_name": "Doe",
                "name": "Jane Doe"
              },
              {
                "id": "69e534dc97e3d001430000ee",
                "checked_in_at": "1901-08-07T09:01:55.0Z",
                "checked_out_at": "1897-08-17T03:10:37.0Z",
                "customer_id": "e0d77327-1320-a079-2020-b0bba64c6ce8",
                "email": "kN7zPmIg7S-UEeM@PWsbxaioL.hhfa",
                "first_name": "Jane",
                "intake_form_submission_id": "69e534dc97e3d001430000ef",
                "intake_form_complete": false,
                "is_lead_booker": true,
                "last_name": "Doe",
                "name": "Jane Doe"
              },
              {
                "id": "69e534dc97e3d001430000f0",
                "checked_in_at": "1907-08-24T09:27:30.0Z",
                "checked_out_at": "1937-03-27T18:53:31.0Z",
                "customer_id": "75c124d3-932b-e8fa-0089-f0b847203074",
                "email": "WfkWk@pGxDrYoRiRtUrrPmG.ulf",
                "first_name": "Jane",
                "intake_form_complete": true,
                "is_lead_booker": true,
                "last_name": "Doe",
                "name": "Jane Doe"
              }
            ],
            "inclusive_tax_amount": -73329224,
            "is_modifiable": false,
            "item_type": "sit elit occaecat officia",
            "net_total": -63344589,
            "order_discount_amount": 89544318,
            "price": 81639176,
            "sold_by": {
              "id": "commodo",
              "name": "eiusmod magna velit",
              "type": "user"
            },
            "status": "waitlisted",
            "total_cost": 88980113,
            "type_id": "69e534dc97e3d001430000f1",
            "type_name": "sed culpa ut",
            "type_product_code": "tempor",
            "created_at": "2025-02-04T12:01:01.0Z",
            "updated_at": "2025-02-04T12:01:01.0Z"
          }
        ],
        "booking_items_end_date": "1928-02-08",
        "booking_items_start_date": "1907-02-17",
        "coupon_codes": [
          {
            "id": "69e534dc97e3d001430000f2",
            "code": "FIVEOFF",
            "customer_credit_id": "2ec49e20-8516-9d16-8962-6228c3270e29",
            "description": "Get 10% off all treatments booked in April.",
            "issued_by_id": "69e534dc97e3d001430000f3",
            "issued_by_type": "credit",
            "name": "April special"
          },
          {
            "id": "69e534dc97e3d001430000f4",
            "code": "FIVEOFF",
            "customer_credit_id": "6c34bc51-489f-dab0-a2d0-054b30500bee",
            "description": "Get 10% off all treatments booked in April.",
            "issued_by_id": "69e534dc97e3d001430000f5",
            "name": "April special"
          }
        ],
        "currency": "gbp",
        "customer_id": "41184295-5184-3210-c901-ead7f10728f7",
        "discount_total": 100,
        "discounts": [],
        "email": "janedoe@example.com",
        "external_ids": [
          {
            "key": "pms_id",
            "name": "PMS ID",
            "value": "pms_1234"
          },
          {
            "key": "pms_id",
            "name": "PMS ID",
            "value": "pms_1234"
          },
          {
            "key": "pms_id",
            "name": "PMS ID",
            "value": "pms_1234"
          }
        ],
        "external_visit_ref": "RES1234",
        "first_name": "Jane",
        "guests": [
          {
            "id": "69e534dc97e3d001430000f6",
            "checked_in_at": "1939-03-12T14:43:13.0Z",
            "checked_out_at": "1909-12-23T09:58:35.0Z",
            "customer_id": "58bfeae0-361a-12cd-8e51-99303a15d02c",
            "email": "D1oQurNCi@TmWQ.qw",
            "first_name": "Jane",
            "intake_form_submission_id": "69e534dc97e3d001430000f7",
            "intake_form_complete": true,
            "is_lead_booker": true,
            "last_name": "Doe",
            "name": "Jane Doe"
          }
        ],
        "intake_form_required": true,
        "intake_forms_complete": true,
        "is_customer_required": true,
        "is_locked": false,
        "is_promo_code_discount_applied": false,
        "items": [],
        "items_status": "confirmed",
        "labels": [
          {
            "id": "69e534dc97e3d001430000f8",
            "color": "#FF0000",
            "name": "VIP",
            "order_id": "69e534dc97e3d001430000f9"
          },
          {
            "id": "69e534dc97e3d001430000fa",
            "color": "#FF0000",
            "name": "VIP",
            "order_id": "69e534dc97e3d001430000fb"
          },
          {
            "id": "69e534dc97e3d001430000fc",
            "color": "#FF0000",
            "name": "VIP",
            "order_id": "69e534dc97e3d001430000fd"
          },
          {
            "id": "69e534dc97e3d001430000fe",
            "color": "#FF0000",
            "name": "VIP",
            "order_id": "69e534dc97e3d001430000ff"
          },
          {
            "id": "69e534dc97e3d00143000100",
            "color": "#FF0000",
            "name": "VIP",
            "order_id": "69e534dc97e3d00143000101"
          }
        ],
        "last_name": "Doe",
        "locked_at": "2019-01-15T12:01:01.0Z",
        "net_total": 8000,
        "order_ref": "TRY00",
        "organisation_id": "d7435d08-4eac-50de-d3a4-e98a63603673",
        "outstanding_payment_amount": -1487369,
        "payment_totals": {
          "chargeable": 500,
          "missing": 1000,
          "paid": 750,
          "pending": 250,
          "provided": 1500,
          "unpaid": 1000
        },
        "payments": [
          {
            "id": "69e534dc97e3d00143000102",
            "amount": 10000,
            "capture_method": "automatic",
            "chargebacks": [
              {
                "id": "69e534dc97e3d00143000103",
                "amount": "tempor adipisicing proident id dolore",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000104",
                "processor_data": {
                  "add": -6162577,
                  "Excepteurd1": false
                },
                "reason": "sunt laboris",
                "status": "confirmed",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000105",
                "amount": "reprehenderit sed",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000106",
                "processor_data": {
                  "sit_c22": "aliquip laborum labore sint sit",
                  "fugiatc2": "exercitation ullamco aliquip sed"
                },
                "reason": "dolore in nulla irure",
                "status": "processed",
                "created_at": "2025-02-04T12:01:01.0Z"
              }
            ],
            "currency": "gbp",
            "details_source": "pay_by_link",
            "failure_reason": "Suspected fraud",
            "order_ref": "cupidatat quis aliqua dolore aliquip",
            "paid_at": "2020-02-24T12:01:01.0Z",
            "payable_id": "69e534dc97e3d00143000107",
            "payable_type": "ullamco qui",
            "processor": "stripe",
            "processor_data": {
              "enim9": "consectetur dolore culpa"
            },
            "processor_id": "69e534dc97e3d00143000108",
            "processor_type": "voluptate minim sit id",
            "refundable_amount": 3500,
            "refunds": [
              {
                "id": "69e534dc97e3d00143000109",
                "payment_id": "69e534dc97e3d0014300010a",
                "amount": 39130541,
                "currency": "gbp",
                "notes": "eu minim sit exercitation Lorem",
                "status": "failed",
                "processor_data": {
                  "fugiat_4": -43658022,
                  "dolor_2eb": 24012915.40385841,
                  "incididunt525": false,
                  "adipisicing46": -1058623.224848181,
                  "aliqua_591": false
                },
                "created_at": "1958-06-28T23:55:57.0Z"
              },
              {
                "id": "69e534dc97e3d0014300010b",
                "payment_id": "69e534dc97e3d0014300010c",
                "amount": -71642218,
                "currency": "gbp",
                "notes": "sint dolor",
                "status": "complete",
                "processor_data": {
                  "ipsum_4c": 58931228
                },
                "created_at": "1952-10-29T02:35:14.0Z"
              },
              {
                "id": "69e534dc97e3d0014300010d",
                "payment_id": "69e534dc97e3d0014300010e",
                "amount": -38758351,
                "currency": "gbp",
                "notes": "Excepteur qui adipisicing",
                "status": "pending",
                "processor_data": {
                  "exercitation_509": 31683470.09747468
                },
                "created_at": "1900-07-18T20:41:50.0Z"
              },
              {
                "id": "69e534dc97e3d0014300010f",
                "payment_id": "69e534dc97e3d00143000110",
                "amount": -25485669,
                "currency": "gbp",
                "notes": "laborum elit magna minim",
                "status": "failed",
                "processor_data": {
                  "ad_": -9852049.833052188
                },
                "created_at": "1906-02-08T01:32:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000111",
                "payment_id": "69e534dc97e3d00143000112",
                "amount": 96330213,
                "currency": "gbp",
                "notes": "aliqua",
                "status": "complete",
                "processor_data": {
                  "aute_c48": "dolore Ut",
                  "fugiat_05": 18239049,
                  "pariaturae": -8213094,
                  "ipsum_f": true,
                  "pariatur51": false
                },
                "created_at": "1917-02-09T17:41:42.0Z"
              }
            ],
            "status": "expired",
            "created_at": "2025-02-04T12:01:01.0Z"
          },
          {
            "id": "69e534dc97e3d00143000113",
            "amount": 10000,
            "capture_method": "automatic",
            "chargebacks": [
              {
                "id": "69e534dc97e3d00143000114",
                "amount": "amet irure",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000115",
                "processor_data": {
                  "Duis_9": 89762773,
                  "Excepteur_6": "cupidatat mollit",
                  "magna_3_": "dolore in aliquip eu",
                  "ullamcof": "deserunt ut in nulla"
                },
                "reason": "Ut Lorem sit ut",
                "status": "reversed",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000116",
                "amount": "in ullamco elit sit eu",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000117",
                "processor_data": {
                  "aliqua4c": "aliqua",
                  "ullamco_35": "proident culpa aute sunt dolore",
                  "et78d": "commodo voluptate"
                },
                "reason": "ut",
                "status": "pending",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000118",
                "amount": "laboris in nisi non nostrud",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000119",
                "processor_data": {
                  "pariaturd73": false
                },
                "reason": "velit",
                "status": "confirmed",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d0014300011a",
                "amount": "esse in qui aliqua Excepteur",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d0014300011b",
                "processor_data": {
                  "sunt1": "deserunt",
                  "inbc": 7458197.589810342,
                  "esse_a3": -56335335.82745107,
                  "laborum5e": "ad commodo"
                },
                "reason": "sit officia",
                "status": "processed",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d0014300011c",
                "amount": "elit aute in",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d0014300011d",
                "processor_data": {
                  "fugiat2f0": true,
                  "exercitation_e": 51666984.25788358
                },
                "reason": "ea",
                "status": "reversed",
                "created_at": "2025-02-04T12:01:01.0Z"
              }
            ],
            "currency": "gbp",
            "details_source": "pay_by_link",
            "failure_reason": "Suspected fraud",
            "order_ref": "in tempor et dolor veniam",
            "paid_at": "2020-02-24T12:01:01.0Z",
            "payable_id": "69e534dc97e3d0014300011e",
            "payable_type": "quis officia ut",
            "processor": "stripe",
            "processor_data": {
              "aliqua39": 51889659
            },
            "processor_id": "69e534dc97e3d0014300011f",
            "processor_type": "eiusmod veniam",
            "refundable_amount": 3500,
            "refunds": [
              {
                "id": "69e534dc97e3d00143000120",
                "payment_id": "69e534dc97e3d00143000121",
                "amount": 44328898,
                "currency": "gbp",
                "notes": "exercitation",
                "status": "failed",
                "processor_data": {
                  "sint_635": false,
                  "do4": "sed"
                },
                "created_at": "1939-06-13T19:02:33.0Z"
              }
            ],
            "status": "paid",
            "created_at": "2025-02-04T12:01:01.0Z"
          },
          {
            "id": "69e534dc97e3d00143000122",
            "amount": 10000,
            "capture_method": "automatic",
            "chargebacks": [],
            "currency": "gbp",
            "details_source": "pay_by_link",
            "failure_reason": "Suspected fraud",
            "order_ref": "nisi aliquip culpa sint non",
            "paid_at": "2020-02-24T12:01:01.0Z",
            "payable_id": "69e534dc97e3d00143000123",
            "payable_type": "in cillum ut",
            "processor": "stripe",
            "processor_data": {
              "laboris1": "veniam"
            },
            "processor_id": "69e534dc97e3d00143000124",
            "processor_type": "ad sunt nostrud aliquip",
            "refundable_amount": 3500,
            "refunds": [
              {
                "id": "69e534dc97e3d00143000125",
                "payment_id": "69e534dc97e3d00143000126",
                "amount": -54830731,
                "currency": "gbp",
                "notes": "mollit Ut tempor ipsum Lorem",
                "status": "complete",
                "processor_data": {
                  "laborum_22": true,
                  "cupidatatb4": true
                },
                "created_at": "1926-12-26T14:49:34.0Z"
              },
              {
                "id": "69e534dc97e3d00143000127",
                "payment_id": "69e534dc97e3d00143000128",
                "amount": 87812082,
                "currency": "gbp",
                "notes": "Ut",
                "status": "pending",
                "processor_data": {
                  "commodo_3": -32896920.633277334,
                  "Excepteur1": "ex proident in velit",
                  "enimd": 75957288,
                  "voluptate_86b": "pariatur ea aute dolore est"
                },
                "created_at": "1923-04-18T05:28:19.0Z"
              },
              {
                "id": "69e534dc97e3d00143000129",
                "payment_id": "69e534dc97e3d0014300012a",
                "amount": 28839103,
                "currency": "gbp",
                "status": "pending",
                "processor_data": {
                  "consecteturbe": "deserunt consectetur exercitation"
                },
                "created_at": "1961-02-17T21:09:58.0Z"
              },
              {
                "id": "69e534dc97e3d0014300012b",
                "payment_id": "69e534dc97e3d0014300012c",
                "amount": 95680638,
                "currency": "gbp",
                "notes": "non",
                "status": "complete",
                "processor_data": {
                  "minim_9": false,
                  "quisa": -12899304,
                  "nostrud_3_5": 59470557.97400522
                },
                "created_at": "1938-05-04T23:08:38.0Z"
              },
              {
                "id": "69e534dc97e3d0014300012d",
                "payment_id": "69e534dc97e3d0014300012e",
                "amount": -88936788,
                "currency": "gbp",
                "notes": "qui occaecat",
                "status": "complete",
                "processor_data": {
                  "Lorem__": "laborum irure Ut"
                },
                "created_at": "1954-12-09T14:08:31.0Z"
              }
            ],
            "status": "pending",
            "created_at": "2025-02-04T12:01:01.0Z"
          },
          {
            "id": "69e534dc97e3d0014300012f",
            "amount": 10000,
            "capture_method": "automatic",
            "chargebacks": [
              {
                "id": "69e534dc97e3d00143000130",
                "amount": "est proident sunt fugiat ullamco",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000131",
                "processor_data": {
                  "Lorem85": -50705031
                },
                "reason": "aliqua",
                "status": "processed",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000132",
                "amount": "cillum id officia ut",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000133",
                "processor_data": {
                  "irure_5": -585299.8523800075
                },
                "reason": "cillum",
                "status": "pending",
                "created_at": "2025-02-04T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000134",
                "amount": "nisi voluptate",
                "currency": "gbp",
                "payment_id": "69e534dc97e3d00143000135",
                "processor_data": {
                  "in_f0a": -62082613.79004809
                },
                "reason": "ut quis elit adipisicing reprehenderit",
                "status": "reversed",
                "created_at": "2025-02-04T12:01:01.0Z"
              }
            ],
            "currency": "gbp",
            "details_source": "pay_by_link",
            "failure_reason": "Suspected fraud",
            "order_ref": "sint exercitation Ut in pariatur",
            "paid_at": "2020-02-24T12:01:01.0Z",
            "payable_id": "69e534dc97e3d00143000136",
            "payable_type": "est id ut",
            "processor": "stripe",
            "processor_data": {
              "consecteturdf": -17089573.866186082
            },
            "processor_id": "69e534dc97e3d00143000137",
            "processor_type": "sit esse magna laborum adipisicing",
            "refundable_amount": 3500,
            "refunds": [
              {
                "id": "69e534dc97e3d00143000138",
                "payment_id": "69e534dc97e3d00143000139",
                "amount": -47746776,
                "currency": "gbp",
                "notes": "in est esse nisi",
                "status": "complete",
                "processor_data": {
                  "sed0": 37622649.54495004,
                  "sint12": 61986932
                },
                "created_at": "1938-02-15T04:39:10.0Z"
              },
              {
                "id": "69e534dc97e3d0014300013a",
                "payment_id": "69e534dc97e3d0014300013b",
                "amount": -59574997,
                "currency": "gbp",
                "notes": "ea",
                "status": "failed",
                "processor_data": {
                  "occaecat_ad": false
                },
                "created_at": "1890-03-03T10:25:04.0Z"
              },
              {
                "id": "69e534dc97e3d0014300013c",
                "payment_id": "69e534dc97e3d0014300013d",
                "amount": 4525331,
                "currency": "gbp",
                "notes": "culpa dolore minim voluptate ullamco",
                "status": "failed",
                "processor_data": {
                  "ina": false
                },
                "created_at": "1890-04-22T06:57:54.0Z"
              }
            ],
            "status": "cancelled",
            "created_at": "2025-02-04T12:01:01.0Z"
          }
        ],
        "phone": "+447727123456",
        "promo_code_applied_by": {
          "id": "69e534dc97e3d0014300013e",
          "avatar": {
            "id": "7bb86a9c-5c2c-94cd-bb60-7e7112acf387",
            "file_name": "super-cool-photo.jpg",
            "mime_type": "image/jpeg",
            "original_url": "https://example.com/media/super-cool-photo.jpg",
            "size": 84256,
            "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
          },
          "email": "LriKJbqW@AzBytNB.veg",
          "first_name": "Jane",
          "full_name": "Jane Smith",
          "last_name": "Smith"
        },
        "sales_channel": {
          "id": "69e534dc97e3d0014300013f",
          "name": "Web",
          "organisation_id": "4d970ea2-15a0-bcd9-e50a-9cd623787beb"
        },
        "service_charge": {
          "amount": 1000,
          "item_amounts": [
            {
              "amount": 1000,
              "item_id": "69e534dc97e3d00143000140",
              "percentage": 10
            },
            {
              "amount": 1000,
              "item_id": "69e534dc97e3d00143000141",
              "percentage": 10
            },
            {
              "amount": 1000,
              "item_id": "69e534dc97e3d00143000142",
              "percentage": 10
            },
            {
              "amount": 1000,
              "item_id": "69e534dc97e3d00143000143",
              "percentage": 10
            },
            {
              "amount": 1000,
              "item_id": "69e534dc97e3d00143000144",
              "percentage": 10
            }
          ],
          "percentage": 10
        },
        "site_id": "615403e7-d656-0b45-da2f-bc08104029fd",
        "special_requests": "I would like the Blue Room please",
        "stage": "checked_out",
        "status": "submitted",
        "submit_auth_amount": 13884967,
        "submit_payment_amount": -38547322,
        "submitted_at": "2020-02-24T12:01:01.0Z",
        "submitted_by": {
          "id": "69e534dc97e3d00143000145",
          "avatar": {
            "id": "765c3526-ff01-33d7-6e67-64c9788f36aa",
            "file_name": "super-cool-photo.jpg",
            "mime_type": "image/jpeg",
            "original_url": "https://example.com/media/super-cool-photo.jpg",
            "size": 84256,
            "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
          },
          "email": "PCcO1XA4A@ZdpYbYWHjCYZHcobAfFDWuTKBwlnrTSeR.bx",
          "first_name": "Jane",
          "full_name": "Jane Smith",
          "last_name": "Smith"
        },
        "taxes": [
          {
            "amount": 1290,
            "inclusive": false,
            "name": "VAT",
            "percentage": 20
          }
        ],
        "tip_amount": 1050,
        "tips": [
          {
            "id": "69e534dc97e3d00143000146",
            "amount": 1050,
            "declined": true,
            "updated_at": "1964-04-28T05:06:13.0Z",
            "can_remove": false
          },
          {
            "id": "69e534dc97e3d00143000147",
            "amount": 1050,
            "declined": false,
            "updated_at": "1945-04-19T01:33:32.0Z",
            "can_remove": true
          },
          {
            "id": "69e534dc97e3d00143000148",
            "amount": 1050,
            "declined": false,
            "updated_at": "1946-04-10T14:04:34.0Z",
            "can_remove": true
          },
          {
            "id": "69e534dc97e3d00143000149",
            "amount": 1050,
            "declined": false,
            "updated_at": "1949-10-08T07:56:09.0Z",
            "can_remove": false
          }
        ],
        "total_cost": -18454628,
        "total_paid_or_authed": 31570739,
        "total_tax": 2000,
        "totals": {
          "exclusive_tax": 0,
          "inclusive_tax": 250,
          "order_discount": 11000,
          "subtotal": 12000,
          "subtotal_without_exclusive_tax": 12000,
          "total": 10000
        },
        "visit": {
          "id": "69e534dc97e3d0014300014a",
          "visit_ref": "elit in",
          "visit_type": {
            "id": "69e534dc97e3d0014300014b",
            "name": "Stay"
          },
          "status": "tempor velit",
          "arrival_date": "1891-01-20T03:44:36.0Z",
          "departure_date": "1957-04-08T12:58:40.0Z",
          "first_name": "laboris aute ea officia velit",
          "last_name": "dolore cupidatat velit fugiat minim"
        },
        "created_at": "2020-02-24T12:01:01.0Z",
        "updated_at": "2020-02-24T12:01:01.0Z"
      },
      "payment_method": {
        "id": "15971f4c-bf78-c400-53a3-f4280c3967d3",
        "payment_method_id": "pm_3K6a0RGysTOePye00nkob5Pi",
        "name": "My debit card",
        "type": "direct_debit",
        "status": "revoked",
        "cardholder_name": "Jane Doe",
        "card_brand": "amex",
        "card_country": "gb",
        "card_funding": "credit",
        "card_expiry": "08/22",
        "last_4": "1234",
        "processor": "stripe",
        "created_at": "2025-01-01T01:01:01.0Z",
        "updated_at": "2025-01-01T01:01:01.0Z",
        "revoked_at": "2025-01-01T01:01:01.0Z"
      },
      "created_at": "1939-08-05T20:11:35.0Z"
    },
    {
      "id": "c9f6dcd0-73b0-581f-1758-0057a2e37f83",
      "customer_id": "2418a4ed-bdf1-3f7a-96a2-292cd817df94",
      "customer": {
        "id": "cbfcab3c-e400-09fa-63bd-a981a949ae24",
        "first_name": "Jane",
        "last_name": "Doe",
        "full_name": "Jane Doe",
        "phone": "+447900000000",
        "has_password": true,
        "dob": "1912-04-05",
        "brand_id": "cdfda782-99cf-a58f-5bba-71ab5e3944f5",
        "site_id": "8bb10387-90a5-71ef-76b4-9ec91dead7a1",
        "stripe_id": "cus_1234567890",
        "express_stripe_id": "cus_1234567890",
        "email": "janedoe@example.com",
        "labels": [
          {
            "id": "cdeda9e9-c739-1bd3-7cdc-8ac45df43131",
            "value": "VIP",
            "colour": "ff6634"
          }
        ],
        "preferred_locale": "en",
        "locked_at": "1912-12-19T04:55:37.0Z",
        "created_at": "1914-07-11T23:32:23.0Z",
        "updated_at": "1910-02-25T23:27:38.0Z",
        "deleted_at": "1933-11-25T18:49:46.0Z",
        "last_active_at": "1952-05-03T03:45:43.0Z",
        "email_verified_at": "1954-03-20T20:41:38.0Z",
        "last_check_in": {
          "checked_in_at": "1944-10-28T01:57:12.0Z",
          "method": "Scanned"
        },
        "avatar_id": "000000-000000-000000-000000",
        "avatar": {
          "id": "9a17145e-1218-1933-a834-2ad312f6b3df",
          "file_name": "super-cool-photo.jpg",
          "mime_type": "image/jpeg",
          "original_url": "https://example.com/media/super-cool-photo.jpg",
          "size": 84256,
          "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
        },
        "external_ref": "occaecat commodo elit Ut ut"
      },
      "barcode": "tempor ut consequat commodo",
      "expires_at": "1949-09-23T02:03:51.0Z",
      "brand_id": "2a09ff93-f484-ae0e-ba08-0a533849064e",
      "site_id": "0c20124c-8dd8-0d2e-fc24-39bd63a43ca5",
      "organisation_id": "12aed50d-e3b7-eac2-e08c-6d850aef3049",
      "source": "kiosk",
      "order": {
        "id": "69e534dc97e3d0014300014c",
        "applied_promo_code": {
          "id": "69e534dc97e3d0014300014d",
          "applied_by": {
            "id": "69e534dc97e3d0014300014e",
            "email": "hThJp7e7yIZLK@GLbWEeGFbJiMXpeinbSK.pb",
            "first_name": "Jane",
            "full_name": "Jane Smith",
            "last_name": "Smith"
          },
          "code": "FIVEOFF",
          "discount_total": 2000,
          "is_discount_applied": true,
          "percentage": 10
        },
        "applied_promo_code_discount_total": 69585856,
        "applied_promo_code_id": "69e534dc97e3d0014300014f",
        "booking_items": [],
        "booking_items_end_date": "1928-02-12",
        "booking_items_start_date": "1944-06-27",
        "booking_items_span_multiple_days": true,
        "coupon_codes": [
          {
            "id": "69e534dc97e3d00143000150",
            "code": "FIVEOFF",
            "description": "Get 10% off all treatments booked in April.",
            "issued_by_type": "credit",
            "name": "April special"
          },
          {
            "id": "69e534dc97e3d00143000151",
            "code": "FIVEOFF",
            "customer_credit_id": "e96f50d2-463c-17e8-e9e1-cc9070065c2c",
            "description": "Get 10% off all treatments booked in April.",
            "issued_by_id": "69e534dc97e3d00143000152",
            "issued_by_type": "credit",
            "name": "April special"
          },
          {
            "id": "69e534dc97e3d00143000153",
            "code": "FIVEOFF",
            "customer_credit_id": "d2ad9ed8-ec6a-659a-9b8f-d943260a80ef",
            "description": "Get 10% off all treatments booked in April.",
            "issued_by_id": "69e534dc97e3d00143000154",
            "issued_by_type": "credit",
            "name": "April special"
          },
          {
            "id": "69e534dc97e3d00143000155",
            "code": "FIVEOFF",
            "customer_credit_id": "89557f6e-9bd2-a38a-3ee2-f0d9567b1e42",
            "description": "Get 10% off all treatments booked in April.",
            "issued_by_id": "69e534dc97e3d00143000156",
            "issued_by_type": "credit",
            "name": "April special"
          },
          {
            "id": "69e534dc97e3d00143000157",
            "code": "FIVEOFF",
            "description": "Get 10% off all treatments booked in April.",
            "name": "April special"
          }
        ],
        "currency": "gbp",
        "customer_id": "6e0c143f-1f63-aada-ddd0-8d2f3a2939f0",
        "customer_tax_details": {
          "legal_name": "Jane Jones",
          "tax_id": "GB1234567",
          "address_line_1": "1 Davey Street",
          "address_line_2": "Clapham",
          "city": "London"
        },
        "discount_total": 100,
        "discounts": [
          {
            "id": "69e534dc97e3d00143000158",
            "amount_type": "monetary",
            "applicable_for": "app_and_booking_engine",
            "applied_at": "1961-12-28T09:44:16.0Z",
            "applied_by": {
              "id": "69e534dc97e3d00143000159",
              "avatar": {
                "id": "a2c13e9e-476f-377f-b9df-5183b922f604",
                "file_name": "super-cool-photo.jpg",
                "mime_type": "image/jpeg",
                "original_url": "https://example.com/media/super-cool-photo.jpg",
                "size": 84256,
                "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
              },
              "email": "trwSiUWnQm@BHqTi.ntsn",
              "first_name": "Jane",
              "full_name": "Jane Smith",
              "last_name": "Smith"
            },
            "calculated_amount": 150,
            "coupon": {
              "id": "69e534dc97e3d0014300015a",
              "code": "FIVEOFF",
              "name": "April special",
              "description": "Get 10% off all treatments booked in April.",
              "customer_credit_id": "d6695f6a-c843-325b-4b0e-2c0237ce3ef9"
            },
            "coupon_code_id": "69e534dc97e3d0014300015b",
            "currency": "gbp",
            "discount_amount": 15,
            "discount_type_code": "SUMMER23",
            "reason_code": "general",
            "site_id": "c5a47f20-c6a3-0622-3aa5-cacf226e82e2"
          },
          {
            "id": "69e534dc97e3d0014300015c",
            "amount_type": "monetary",
            "applicable_for": "app_and_booking_engine",
            "applied_at": "1950-11-18T17:10:21.0Z",
            "applied_by": {
              "id": "69e534dc97e3d0014300015d",
              "avatar": {
                "id": "3c52d360-f2ee-0dda-2238-4e59b7dc7e4f",
                "file_name": "super-cool-photo.jpg",
                "mime_type": "image/jpeg",
                "original_url": "https://example.com/media/super-cool-photo.jpg",
                "size": 84256,
                "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
              },
              "email": "klq7@QnqgyRVy.hyp",
              "first_name": "Jane",
              "full_name": "Jane Smith",
              "last_name": "Smith"
            },
            "calculated_amount": 150,
            "coupon": {
              "id": "69e534dc97e3d0014300015e",
              "code": "FIVEOFF",
              "name": "April special",
              "description": "Get 10% off all treatments booked in April.",
              "customer_credit_id": "9d35a346-1fe7-b0a5-d0ac-7c19435ddbb5"
            },
            "coupon_code_id": "69e534dc97e3d0014300015f",
            "currency": "gbp",
            "discount_amount": 15,
            "discount_type_code": "SUMMER23",
            "reason_code": "general",
            "site_id": "e12c826c-bfab-e962-121a-fce71332b837"
          },
          {
            "id": "69e534dc97e3d00143000160",
            "amount_type": "monetary",
            "applicable_for": "app_and_booking_engine",
            "applied_at": "1914-11-18T14:05:53.0Z",
            "applied_by": {
              "id": "69e534dc97e3d00143000161",
              "avatar": {
                "id": "477fef77-33a9-6305-8829-f6ac532a735c",
                "file_name": "super-cool-photo.jpg",
                "mime_type": "image/jpeg",
                "original_url": "https://example.com/media/super-cool-photo.jpg",
                "size": 84256,
                "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
              },
              "email": "qrmqYqFFXSV@VSJl.vl",
              "first_name": "Jane",
              "full_name": "Jane Smith",
              "last_name": "Smith"
            },
            "calculated_amount": 150,
            "coupon": {
              "id": "69e534dc97e3d00143000162",
              "code": "FIVEOFF",
              "name": "April special",
              "description": "Get 10% off all treatments booked in April.",
              "customer_credit_id": "3fadaeea-6a30-ac0d-dc1c-04d1d3f15867"
            },
            "coupon_code_id": "69e534dc97e3d00143000163",
            "currency": "gbp",
            "discount_amount": 15,
            "discount_type_code": "SUMMER23",
            "reason_code": "general",
            "site_id": "d1e0fab5-0f1c-7840-3bfb-a475dfdb66e9"
          }
        ],
        "email": "janedoe@example.com",
        "external_ids": [],
        "external_ref": "ABC-123",
        "external_visit_ref": "RES1234",
        "first_name": "Jane",
        "guests": [
          {
            "id": "69e534dc97e3d00143000164",
            "checked_in_at": "1926-04-29T13:16:39.0Z",
            "checked_out_at": "1942-05-04T16:10:01.0Z",
            "customer_id": "5f7a3b2f-ff88-353e-2670-5693216e4160",
            "first_name": "Jane",
            "intake_form_submission_id": "69e534dc97e3d00143000165",
            "intake_form_complete": false,
            "is_lead_booker": true,
            "last_name": "Doe",
            "name": "Jane Doe"
          },
          {
            "id": "69e534dc97e3d00143000166",
            "checked_in_at": "1922-09-18T02:12:37.0Z",
            "checked_out_at": "1899-08-08T05:12:36.0Z",
            "customer_id": "8fde5e5f-3c40-1b3d-8780-84fc8bcbbec3",
            "first_name": "Jane",
            "intake_form_complete": true,
            "is_lead_booker": true,
            "last_name": "Doe",
            "name": "Jane Doe"
          },
          {
            "id": "69e534dc97e3d00143000167",
            "checked_in_at": "1950-10-13T15:34:59.0Z",
            "checked_out_at": "1968-09-05T05:13:10.0Z",
            "customer_id": "f79af37d-5a6d-ccec-257d-4e026b0ea4d7",
            "email": "N1Slt7@cOTKglWSGOYdQRXSQRFrcG.knsd",
            "first_name": "Jane",
            "intake_form_submission_id": "69e534dc97e3d00143000168",
            "intake_form_complete": false,
            "is_lead_booker": true,
            "last_name": "Doe",
            "name": "Jane Doe"
          }
        ],
        "intake_form_required": true,
        "intake_form_url": "https://demo.try.be/intake-form",
        "intake_forms_complete": true,
        "integration_config_id": "5f344d756e7f2e7d3f2e4b82",
        "is_customer_required": true,
        "is_locked": false,
        "is_promo_code_discount_applied": true,
        "items": [
          {
            "id": "69e534dc97e3d00143000169",
            "added_by_customer": true,
            "base_price": 595,
            "basket_id": "69e534dc97e3d0014300016a",
            "booking_summary": {
              "id": "69e534dc97e3d0014300016b",
              "duration": -42782442,
              "end_time": "1936-06-18T03:59:54.0Z",
              "offering": {
                "id": "69e534dc97e3d0014300016c",
                "name": "30 Minute Massage",
                "type": "appointment",
                "product_code": "id occaecat laborum dolore"
              },
              "start_time": "1954-05-01T15:47:05.0Z",
              "status": "reserved",
              "created_at": "2025-02-04T12:01:01.0Z",
              "updated_at": "2025-02-04T12:01:01.0Z"
            },
            "discount_amount": 595,
            "discounts": [
              {
                "id": "69e534dc97e3d0014300016d",
                "amount_type": "percentage",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1931-05-07T02:01:45.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d0014300016e",
                  "avatar": {
                    "id": "2e73b36c-8f74-2eeb-69f2-aa1e774853ed",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "X9HnX6BH@APCoJxVoLdYkOGrYDBzEInZCIJRnTYsi.gdph",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d0014300016f",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "178a96f8-d407-3919-9c89-ece50658deeb"
                },
                "coupon_code_id": "69e534dc97e3d00143000170",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "e96557f6-e377-3431-b2ab-4318904ac1a4"
              },
              {
                "id": "69e534dc97e3d00143000171",
                "amount_type": "monetary",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1912-12-20T01:17:57.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d00143000172",
                  "avatar": {
                    "id": "6e5c15ea-add0-bb23-7f0a-eb0717548116",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "YwJriM@swgRKdkGQmM.rdfx",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d00143000173",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "766db2a4-ac2d-7184-2d0a-44da4ccd6a56"
                },
                "coupon_code_id": "69e534dc97e3d00143000174",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "b22115e5-1806-df26-1f46-427b6cf1fe5b"
              },
              {
                "id": "69e534dc97e3d00143000175",
                "amount_type": "monetary",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1939-05-14T23:29:47.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d00143000176",
                  "avatar": {
                    "id": "46e62f48-790d-276d-7b1e-bc3f7aef850d",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "SqBZI82sbQkHQxD@NMHYryLCWoxOrKcJG.hhb",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d00143000177",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "b3242bd0-bb3c-165c-90f1-45443424995d"
                },
                "coupon_code_id": "69e534dc97e3d00143000178",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "c89e4209-b125-d926-0cbb-a9687668b1f5"
              }
            ],
            "exclusive_tax_amount": 0,
            "guests": [
              {
                "id": "69e534dc97e3d00143000179",
                "customer_id": "69e534dc97e3d0014300017a",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d0014300017b",
                "customer_id": "69e534dc97e3d0014300017c",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d0014300017d",
                "customer_id": "69e534dc97e3d0014300017e",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d0014300017f",
                "customer_id": "69e534dc97e3d00143000180",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000181",
                "customer_id": "69e534dc97e3d00143000182",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              }
            ],
            "has_posted": false,
            "inclusive_tax_amount": 49,
            "item_configuration": {
              "irure_f30": false,
              "voluptate56": "non minim nisi aliquip"
            },
            "last_post_attempt": "1918-02-27T19:40:52.0Z",
            "offering": {
              "id": "69e534dc97e3d00143000183",
              "name": "30 Minute Massage",
              "type": "appointment",
              "product_code": "aute veniam ut"
            },
            "option_budgets": [
              {
                "budget": "Duis aliqua esse laboris",
                "choice_id": "anim in",
                "remaining": "ipsum ad veniam deserunt occaecat",
                "spent": "anim Duis in incididunt Lorem"
              },
              {
                "budget": "cupidatat dolore",
                "choice_id": "aliqua occaecat minim magna tempor",
                "remaining": "sint",
                "spent": "enim dolor elit irure"
              }
            ],
            "order_discount_amount": -71915165,
            "package_items": [
              {
                "id": "69e534dc97e3d00143000184",
                "booking_summary": {
                  "id": "69e534dc97e3d00143000185",
                  "duration": -17453146,
                  "end_time": "1907-03-13T21:16:35.0Z",
                  "offering": {
                    "id": "69e534dc97e3d00143000186",
                    "name": "30 Minute Massage",
                    "type": "appointment",
                    "product_code": "ea"
                  },
                  "start_time": "1904-02-18T10:45:07.0Z",
                  "status": "cancelled",
                  "created_at": "2025-02-04T12:01:01.0Z",
                  "updated_at": "2025-02-04T12:01:01.0Z"
                },
                "choice_id": "69e534dc97e3d00143000187",
                "duration": -81089852,
                "guests": [
                  {
                    "id": "69e534dc97e3d00143000188",
                    "customer_id": "69e534dc97e3d00143000189",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d0014300018a",
                    "customer_id": "69e534dc97e3d0014300018b",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d0014300018c",
                    "customer_id": "69e534dc97e3d0014300018d",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d0014300018e",
                    "customer_id": "69e534dc97e3d0014300018f",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d00143000190",
                    "customer_id": "69e534dc97e3d00143000191",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  }
                ],
                "item_configuration": {
                  "Lorem_a0": false,
                  "elit_73": true,
                  "sitc": -74150763
                },
                "offering_id": "69e534dc97e3d00143000192",
                "offering_name": "60 minute massage",
                "offering_type": "appointment",
                "option_id": "69e534dc97e3d00143000193",
                "price_change": 1500,
                "reserved_until": "1898-04-06T01:11:32.0Z",
                "shared_basket_item_id": "69e534dc97e3d00143000194",
                "status": "submitted",
                "time": "1904-01-09T11:40:01.0Z"
              },
              {
                "id": "69e534dc97e3d00143000195",
                "booking_summary": {
                  "id": "69e534dc97e3d00143000196",
                  "duration": 69398969,
                  "end_time": "1943-09-16T16:30:12.0Z",
                  "equipment": [
                    {
                      "id": "69e534dc97e3d00143000197",
                      "name": "Hot Rocks"
                    },
                    {
                      "id": "69e534dc97e3d00143000198",
                      "name": "Hot Rocks"
                    },
                    {
                      "id": "69e534dc97e3d00143000199",
                      "name": "Hot Rocks"
                    },
                    {
                      "id": "69e534dc97e3d0014300019a",
                      "name": "Hot Rocks"
                    },
                    {
                      "id": "69e534dc97e3d0014300019b",
                      "name": "Hot Rocks"
                    }
                  ],
                  "equipment_ids": [
                    "69e534dc97e3d0014300019c",
                    "69e534dc97e3d0014300019d",
                    "69e534dc97e3d0014300019e"
                  ],
                  "offering": {
                    "id": "69e534dc97e3d0014300019f",
                    "name": "30 Minute Massage",
                    "type": "appointment",
                    "product_code": "irure non fugiat"
                  },
                  "practitioners": [
                    {
                      "id": "5dcb47800000000000000000",
                      "name": "Jane Doe"
                    },
                    {
                      "id": "5dcb47800000000000000000",
                      "name": "Jane Doe"
                    },
                    {
                      "id": "5dcb47800000000000000000",
                      "name": "Jane Doe"
                    },
                    {
                      "id": "5dcb47800000000000000000",
                      "name": "Jane Doe"
                    }
                  ],
                  "practitioner_ids": [],
                  "practitioner_was_requested": false,
                  "room": {
                    "id": "5dcb47800000000000000000",
                    "capacity": 44724694,
                    "name": "enim"
                  },
                  "room_id": "69e534dc97e3d001430001a0",
                  "room_was_requested": true,
                  "session_id": "69e534dc97e3d001430001a1",
                  "start_time": "1941-03-08T21:01:23.0Z",
                  "status": "cancelled",
                  "created_at": "2025-02-04T12:01:01.0Z",
                  "updated_at": "2025-02-04T12:01:01.0Z"
                },
                "choice_id": "69e534dc97e3d001430001a2",
                "duration": -93265542,
                "guests": [],
                "item_configuration": {
                  "ut_4": -88238879.40837091,
                  "fugiat04": 60818097,
                  "dolore_b9e": -95525271
                },
                "offering_id": "69e534dc97e3d001430001a3",
                "offering_name": "60 minute massage",
                "offering_type": "appointment",
                "option_id": "69e534dc97e3d001430001a4",
                "price_change": 1500,
                "reserved_until": "1899-01-24T13:44:44.0Z",
                "shared_basket_item_id": "69e534dc97e3d001430001a5",
                "status": "submitted",
                "time": "1960-06-25T13:40:52.0Z"
              }
            ],
            "posted_at": "1959-11-25T03:54:47.0Z",
            "price": 595,
            "purchasable_details": {
              "id": "69e534dc97e3d001430001a6",
              "email_sent_at": "1963-12-10T09:34:27.0Z",
              "valid_to_date": "1940-01-09"
            },
            "quantity": 1,
            "reserved_until": "1947-10-26T23:16:15.0Z",
            "sold_by": {
              "id": "qui sunt aliqua esse occaecat",
              "name": "commodo ut aute labore",
              "type": "user"
            },
            "status": "reserved",
            "total_cost": 595,
            "created_at": "2025-02-04T12:01:01.0Z",
            "updated_at": "2025-02-04T12:01:01.0Z"
          },
          {
            "id": "69e534dc97e3d001430001a7",
            "added_by_customer": true,
            "basket_id": "69e534dc97e3d001430001a8",
            "discount_amount": 595,
            "discounts": [],
            "exclusive_tax_amount": 0,
            "guests": [
              {
                "id": "69e534dc97e3d001430001a9",
                "customer_id": "69e534dc97e3d001430001aa",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d001430001ab",
                "customer_id": "69e534dc97e3d001430001ac",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d001430001ad",
                "customer_id": "69e534dc97e3d001430001ae",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d001430001af",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d001430001b0",
                "customer_id": "69e534dc97e3d001430001b1",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              }
            ],
            "has_posted": true,
            "inclusive_tax_amount": 49,
            "item_configuration": {
              "in_949": -10626625.749200076,
              "Duis__": true
            },
            "offering": {
              "id": "69e534dc97e3d001430001b2",
              "name": "30 Minute Massage",
              "type": "appointment",
              "product_code": "elit qui"
            },
            "option_budgets": [],
            "order_discount_amount": 73118990,
            "posted_at": "1936-01-11T02:37:16.0Z",
            "price": 595,
            "purchasable_details": {
              "id": "69e534dc97e3d001430001b3",
              "email_sent_at": "1913-03-05T04:38:31.0Z",
              "valid_to_date": "1903-08-03"
            },
            "quantity": 1,
            "reserved_until": "1954-05-16T07:40:50.0Z",
            "sold_by": {
              "id": "aliquip",
              "name": "in",
              "type": "practitioner"
            },
            "total_cost": 595,
            "created_at": "2025-02-04T12:01:01.0Z",
            "updated_at": "2025-02-04T12:01:01.0Z"
          },
          {
            "id": "69e534dc97e3d001430001b4",
            "added_by_customer": true,
            "base_price": 595,
            "basket_id": "69e534dc97e3d001430001b5",
            "booking_summary": {
              "id": "69e534dc97e3d001430001b6",
              "duration": -34616133,
              "end_time": "1968-07-13T21:07:45.0Z",
              "offering": {
                "id": "69e534dc97e3d001430001b7",
                "name": "30 Minute Massage",
                "type": "appointment",
                "product_code": "ipsum velit"
              },
              "start_time": "1926-04-03T14:57:51.0Z",
              "status": "pending_confirmation",
              "created_at": "2025-02-04T12:01:01.0Z",
              "updated_at": "2025-02-04T12:01:01.0Z"
            },
            "discount_amount": 595,
            "discounts": [
              {
                "id": "69e534dc97e3d001430001b8",
                "amount_type": "percentage",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1896-11-14T23:59:33.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d001430001b9",
                  "avatar": {
                    "id": "ee1032a6-a26f-e0da-de47-013eb305eb86",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "zm2tGl6QI@w.yv",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d001430001ba",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "4cc32298-564c-789e-3a1d-50d20a74e464"
                },
                "coupon_code_id": "69e534dc97e3d001430001bb",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "3795097c-ba44-6ca4-e134-10a50e07a521"
              },
              {
                "id": "69e534dc97e3d001430001bc",
                "amount_type": "percentage",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1939-02-24T12:58:05.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d001430001bd",
                  "avatar": {
                    "id": "ea3189ca-566c-d432-b00b-c94d561e5413",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "Rjmg9dv2WWU@NKEEqI.of",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d001430001be",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "f29cf77b-85f9-9bb3-9eaa-e9f15d42d7fb"
                },
                "coupon_code_id": "69e534dc97e3d001430001bf",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "ad716913-151d-3ca2-2cb7-532515a71a01"
              }
            ],
            "exclusive_tax_amount": 0,
            "guests": [
              {
                "id": "69e534dc97e3d001430001c0",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              },
              {
                "id": "69e534dc97e3d001430001c1",
                "customer_id": "69e534dc97e3d001430001c2",
                "name": "Jane Smith",
                "checked_in_at": "2025-10-01T12:01:01.0Z"
              }
            ],
            "has_posted": true,
            "inclusive_tax_amount": 49,
            "item_configuration": {
              "veniam_2a": 11928473.909638539,
              "dolore_9": -97738922,
              "occaecat_696": 84530851,
              "tempor_c2": "incididunt do sint non enim",
              "reprehenderit_4": -23470290
            },
            "last_post_attempt": "1899-07-22T02:07:56.0Z",
            "offering": {
              "id": "69e534dc97e3d001430001c3",
              "name": "30 Minute Massage",
              "type": "appointment",
              "product_code": "Ut"
            },
            "option_budgets": [
              {
                "budget": "commodo ullamco consequat veniam",
                "choice_id": "ea dolore",
                "remaining": "cupidatat proident nulla",
                "spent": "ea amet ipsum labore"
              },
              {
                "budget": "in",
                "choice_id": "non magna commodo",
                "remaining": "reprehenderit consectetur",
                "spent": "aliqua ullamco nostrud dolor"
              },
              {
                "budget": "et qui anim tempor ut",
                "choice_id": "voluptate cupidatat ea enim",
                "remaining": "amet id eiusmod esse Lorem",
                "spent": "consectetur officia sunt"
              },
              {
                "budget": "consectetur ea sit",
                "choice_id": "nulla",
                "remaining": "ullamco",
                "spent": "ut"
              },
              {
                "budget": "culpa quis dolore est",
                "choice_id": "laboris",
                "remaining": "aute eiusmod voluptate",
                "spent": "sed deserunt adipisicing in incididunt"
              }
            ],
            "order_discount_amount": 96419773,
            "package_items": [
              {
                "id": "69e534dc97e3d001430001c4",
                "choice_id": "69e534dc97e3d001430001c5",
                "duration": -94307315,
                "item_configuration": {
                  "in89": true,
                  "labore723": "anim",
                  "sint__c4": false,
                  "magna_66": -22917286
                },
                "offering_id": "69e534dc97e3d001430001c6",
                "offering_name": "60 minute massage",
                "offering_type": "appointment",
                "option_id": "69e534dc97e3d001430001c7",
                "price_change": 1500,
                "reserved_until": "1955-03-13T13:24:33.0Z",
                "time": "1907-07-16T08:14:21.0Z"
              }
            ],
            "posted_at": "1908-05-18T01:29:38.0Z",
            "price": 595,
            "purchasable_details": {
              "id": "69e534dc97e3d001430001c8",
              "email_sent_at": "1964-02-09T15:43:57.0Z",
              "valid_to_date": "1969-12-03"
            },
            "quantity": 1,
            "reserved_until": "1962-07-30T12:42:39.0Z",
            "sold_by": {
              "id": "pariatur officia laborum esse mollit",
              "name": "non sunt commodo nisi",
              "type": ""
            },
            "status": "pending_confirmation",
            "total_cost": 595,
            "created_at": "2025-02-04T12:01:01.0Z",
            "updated_at": "2025-02-04T12:01:01.0Z"
          },
          {
            "id": "69e534dc97e3d001430001c9",
            "added_by_customer": true,
            "base_price": 595,
            "basket_id": "69e534dc97e3d001430001ca",
            "booking_summary": {
              "id": "69e534dc97e3d001430001cb",
              "duration": 57829446,
              "end_time": "1906-12-11T12:10:54.0Z",
              "equipment": [
                {
                  "id": "69e534dc97e3d001430001cc",
                  "name": "Hot Rocks"
                },
                {
                  "id": "69e534dc97e3d001430001cd",
                  "name": "Hot Rocks"
                },
                {
                  "id": "69e534dc97e3d001430001ce",
                  "name": "Hot Rocks"
                },
                {
                  "id": "69e534dc97e3d001430001cf",
                  "name": "Hot Rocks"
                },
                {
                  "id": "69e534dc97e3d001430001d0",
                  "name": "Hot Rocks"
                }
              ],
              "equipment_ids": [
                "69e534dc97e3d001430001d1",
                "69e534dc97e3d001430001d2",
                "69e534dc97e3d001430001d3",
                "69e534dc97e3d001430001d4"
              ],
              "offering": {
                "id": "69e534dc97e3d001430001d5",
                "name": "30 Minute Massage",
                "type": "appointment",
                "product_code": "in labore quis officia"
              },
              "practitioners": [
                {
                  "id": "5dcb47800000000000000000",
                  "name": "Jane Doe"
                },
                {
                  "id": "5dcb47800000000000000000",
                  "name": "Jane Doe"
                },
                {
                  "id": "5dcb47800000000000000000",
                  "name": "Jane Doe"
                }
              ],
              "practitioner_ids": [
                "69e534dc97e3d001430001d6",
                "69e534dc97e3d001430001d7"
              ],
              "practitioner_was_requested": true,
              "room": {
                "id": "5dcb47800000000000000000",
                "capacity": 2270729,
                "name": "eiusmod voluptate aliqua qui"
              },
              "room_id": "69e534dc97e3d001430001d8",
              "room_was_requested": true,
              "session_id": "69e534dc97e3d001430001d9",
              "start_time": "1966-11-28T05:49:01.0Z",
              "status": "waitlisted",
              "created_at": "2025-02-04T12:01:01.0Z",
              "updated_at": "2025-02-04T12:01:01.0Z"
            },
            "discount_amount": 595,
            "discounts": [
              {
                "id": "69e534dc97e3d001430001da",
                "amount_type": "percentage",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1892-06-27T18:11:43.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d001430001db",
                  "avatar": {
                    "id": "08e4e501-4f83-145f-554b-6aa052b1240e",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "ROK9-o8DZ5m@IdHsfuLarAYmLQKXfxixtWXqfUlTwvX.yen",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d001430001dc",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "4589231f-e9a0-404f-6ccf-65f55027ee84"
                },
                "coupon_code_id": "69e534dc97e3d001430001dd",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "e72ba16d-d8f7-f9f3-f2b6-b920f30404a8"
              },
              {
                "id": "69e534dc97e3d001430001de",
                "amount_type": "percentage",
                "applicable_for": "app_and_booking_engine",
                "applied_at": "1921-07-05T12:47:28.0Z",
                "applied_by": {
                  "id": "69e534dc97e3d001430001df",
                  "avatar": {
                    "id": "210f66ae-680b-ebd0-ed08-e0f91785c83f",
                    "file_name": "super-cool-photo.jpg",
                    "mime_type": "image/jpeg",
                    "original_url": "https://example.com/media/super-cool-photo.jpg",
                    "size": 84256,
                    "url": "https://example.com/media/super-cool-photo-thumbnail@2x.jpg"
                  },
                  "email": "0sPzXREN@pOBHsWRJONLkZYBWOpOtQNTJerqKKiBCa.tihc",
                  "first_name": "Jane",
                  "full_name": "Jane Smith",
                  "last_name": "Smith"
                },
                "calculated_amount": 150,
                "coupon": {
                  "id": "69e534dc97e3d001430001e0",
                  "code": "FIVEOFF",
                  "name": "April special",
                  "description": "Get 10% off all treatments booked in April.",
                  "customer_credit_id": "b4319bf1-45a9-e8a8-d0b8-8749164663a2"
                },
                "coupon_code_id": "69e534dc97e3d001430001e1",
                "currency": "gbp",
                "discount_amount": 15,
                "discount_type_code": "SUMMER23",
                "reason_code": "general",
                "site_id": "72350864-3d70-b072-1e94-2035ac318446"
              }
            ],
            "exclusive_tax_amount": 0,
            "guests": [],
            "has_posted": true,
            "inclusive_tax_amount": 49,
            "item_configuration": {
              "tempor20": "reprehenderit cupidatat deserunt culpa id",
              "aliqua4b2": "dolor sit magna",
              "culpaa": 41984667
            },
            "last_post_attempt": "1958-08-08T15:18:49.0Z",
            "offering": {
              "id": "69e534dc97e3d001430001e2",
              "name": "30 Minute Massage",
              "type": "appointment",
              "product_code": "id Duis magna elit velit"
            },
            "option_budgets": [],
            "order_discount_amount": -75005187,
            "package_items": [
              {
                "id": "69e534dc97e3d001430001e3",
                "booking_summary": {
                  "id": "69e534dc97e3d001430001e4",
                  "duration": 24624155,
                  "end_time": "1949-03-04T14:10:14.0Z",
                  "offering": {
                    "id": "69e534dc97e3d001430001e5",
                    "name": "30 Minute Massage",
                    "type": "appointment",
                    "product_code": "sit sunt officia"
                  },
                  "start_time": "1894-06-09T03:30:49.0Z",
                  "status": "confirmed",
                  "created_at": "2025-02-04T12:01:01.0Z",
                  "updated_at": "2025-02-04T12:01:01.0Z"
                },
                "choice_id": "69e534dc97e3d001430001e6",
                "duration": 73173251,
                "guests": [
                  {
                    "id": "69e534dc97e3d001430001e7",
                    "customer_id": "69e534dc97e3d001430001e8",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d001430001e9",
                    "customer_id": "69e534dc97e3d001430001ea",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d001430001eb",
                    "customer_id": "69e534dc97e3d001430001ec",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  }
                ],
                "item_configuration": {
                  "commodo_1e0": true,
                  "laborum_e": -25923948.98239769
                },
                "offering_id": "69e534dc97e3d001430001ed",
                "offering_name": "60 minute massage",
                "offering_type": "appointment",
                "option_id": "69e534dc97e3d001430001ee",
                "price_change": 1500,
                "reserved_until": "1955-07-10T03:38:57.0Z",
                "shared_basket_item_id": "69e534dc97e3d001430001ef",
                "status": "submitted",
                "time": "1946-10-18T04:11:29.0Z"
              },
              {
                "id": "69e534dc97e3d001430001f0",
                "booking_summary": {
                  "id": "69e534dc97e3d001430001f1",
                  "duration": -70136779,
                  "end_time": "1915-09-24T04:01:19.0Z",
                  "offering": {
                    "id": "69e534dc97e3d001430001f2",
                    "name": "30 Minute Massage",
                    "type": "appointment",
                    "product_code": "pariatur dolor laboris occaecat ut"
                  },
                  "start_time": "1915-12-27T16:18:35.0Z",
                  "status": "waitlisted",
                  "created_at": "2025-02-04T12:01:01.0Z",
                  "updated_at": "2025-02-04T12:01:01.0Z"
                },
                "choice_id": "69e534dc97e3d001430001f3",
                "duration": 85492666,
                "guests": [
                  {
                    "id": "69e534dc97e3d001430001f4",
                    "customer_id": "69e534dc97e3d001430001f5",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  },
                  {
                    "id": "69e534dc97e3d001430001f6",
                    "customer_id": "69e534dc97e3d001430001f7",
                    "name": "Jane Smith",
                    "checked_in_at": "2025-10-01T12:01:01.0Z"
                  }
                ],
                "item_configuration": {
                  "occaecat_5f": false,
                  "reprehenderit_03": -98585381,
                  "eu66": 7502479.065366477
                },
                "offering_id": "69e534dc97e3d001430001f8",
[...]
